function::user_buffer_quoted_error
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_buffer_quoted_error — Retrieves and quotes buffer from user space

## Synopsis

        user_buffer_quoted_error:string(addr:long,inlen:long,outlen:long)

## Arguments

`addr`

  the user space address to retrieve the buffer from

`inlen`

  the exact length of the buffer to read

`outlen`

  the maximum length of the output string

## Description

Reads inlen characters of a buffer from the given user space memory address, and returns up to outlen characters, where any ASCII characters that are not printable are replaced by the corresponding escape sequence in the returned string. Note that the string will be surrounded by double quotes. On the rare cases when user space data is not accessible at the given address, an error is thrown.

Prev | Up | Next
function::user_buffer_quoted | Home | function::user_char